function analyze_seis

%load brk_40_12_03.mat
SeisData = cos([1:1000].*2*pi.*1/100)+10;

max_idx = min(find(isnan(SeisData)))-1;
if isempty(max_idx)
    max_idx = length(SeisData);
end
d = SeisData(1:max_idx);

D = fft(d);

w = [1:length(D)]-1;

w_cutoff = 600;
H_lowpass = 1./(1+(w./w_cutoff).^14);
H_highpass = 1-H_lowpass;

subplot(2,1,1)
plot(d,'b.-')
subplot(2,1,2)
plot(w, abs(D),'r.-')

D_lowpass = D.*H_lowpass;
d_lowpass = real(ifft(D_lowpass));
subplot(2,1,2)
hold on
plot(w, abs(D_lowpass),'g-')
hold off
subplot(2,1,1)
hold on
plot(d_lowpass,'g-')
hold off

D_highpass = D.*H_highpass;
d_highpass = real(ifft(D_highpass));
subplot(2,1,2)
hold on
plot(w, abs(D_highpass),'y-')
hold off
subplot(2,1,1)
hold on
plot(d_highpass,'y-')
hold off


