%%DISP_TIMES
% disp_times('*.mat')   % Open and show times in a sacmat
function disp_times(file_expr)

    [inp, inf, inext] = fileparts(file_expr);   % Input parameters
    Files = dir(inp);
    
    
    e = 0;
    oldend = e;
    oldjday = [];
    for n=1:length(Files)
        [p, f, ext] = fileparts(Files(n).name);
        if isequal(ext,inext)
            filename = fullfile(fileparts(file_expr), Files(n).name);
	
            load(filename);
            
            if ~isempty(oldjday) & oldjday+1 ~= SACdata.event.nzjday
                disp('### Missing day(s) ###')
            end
            oldjday = SACdata.event.nzjday;
            
            % Save previous end time.
            oldend = e;
            b = datenum([ ...
                    SACdata.event.nzyear ...
                    1   ...
                    SACdata.event.nzjday  ...
                    SACdata.event.nzhour ...
                    SACdata.event.nzmin  ...
                    SACdata.times.b ...
                    ]);
            e = datenum([ ...
                    SACdata.event.nzyear ...
                    1   ...
                    SACdata.event.nzjday  ...
                    SACdata.event.nzhour ...
                    SACdata.event.nzmin  ...
                    SACdata.times.e ...
                    ]);
            Format = 0;

            if b <= oldend
                disp('*** Overlapping times ***')
            end
            disp([datestr(b, Format) '  to  ' datestr(e, Format)])
        end
    end
    