function [Data, Files] = process_gap_data(expression)
% PROCESS_GAP_DATA
% [GapData files] = process_gap_data('40/nov/data/gaps-brk*.mat');

Files = [];      % file read
dir_struct = dir(expression);
filelist = {dir_struct.name};
Dir = fileparts(expression);
Data = [];

disp(filelist(:))
r = input('Proceed? (y to proceed) ','s')
if ~isequal(r,'y')
    return
end

PPM = [];
M = [];
PX = [];

for n=1:length(filelist)
    file = fullfile(Dir, filelist{n});

    disp(['Opening ' file])
    load('-mat', file)
    
    PPM = [PPM; PX_PER_MINUTE(:)];
    M = [M; MINUTES(:)];
    PX = [PX; PIXELS(:)];
    
    Files = strvcat(Files, file);
end

Data = [M(:) PX(:) PPM(:)];

do_plot(Data, M, PX, PPM, filelist)

% save GapData.mat Data Files

function do_plot(Data, M, PX, PPM, filelist)
% Remove outliers
FEW_MINUTES = 5;
few_index = find(M < FEW_MINUTES);
Data(few_index, :) = NaN;

mu = mean(PPM);
sigma = std(PPM);
out_index = find(abs(PPM - mu) > sigma);    % Find skewed values
Data(out_index,:) = NaN;

bounds_index = find(PPM > 470 | PPM < 455);
Data(bounds_index,:) = NaN;

figure, hold on, 
plot(linspace(0,length(filelist),size(Data,1)),Data(:,3),'.')
hold off

%         gapFile = fullfile(path, ['gaps-' name '.mat']);
%         disp(['Saving to ' gapFile])
%         try
%             save(gapFile,'PX_PER_MINUTE','MINUTES','PIXELS','-mat')
%         catch
%             disp(lasterr)
%         end
